<?php
namespace siruisoft\common\model;

use \think\Model;
/**
 * model 基础类
 */
class  ModelBase extends Model {


	//如果有关联的tag 可以一并删除
	protected $relation_cache_tags =[];

	//当前使用的tag默认值为siruisoft防止遗漏
	protected $ctag  ='siruisoft';

  
	function initialize(){
		parent::initialize();
	}


	/**
	 * 清除model下的所有cache
	 * @Author   思睿软件
	 * @DateTime 2020-02-12T18:00:59+0800
	 * @Version  1.0
	 * @return   [type]                   [description]
	 */
	function clearcache(){
		if($this->ctag){
			tag_cache($this->ctag,null);
		}
        if(is_array($this->relation_cache_tags) && count($this->relation_cache_tags)>0){
        	foreach ($this->relation_cache_tags as $key => $val) {
        		tag_cache($val,null);
        	}
        }
    }


}